Index: libroar.ckport
===================================================================
--- libroar.ckport	(revision 4218)
+++ libroar.ckport	(revision 4569)
@@ -281,5 +281,5 @@
 roar_buffer_delete		ok
 roar_buffer_duplicate		ok
-roar_buffer_free		ok
+roar_buffer_free		removed	Recompile, transition macro provided.
 roar_buffer_get_data		ok
 roar_buffer_get_flag		ok
@@ -301,4 +301,7 @@
 roar_buffer_set_offset		ok
 roar_buffer_shift_out		ok
+roar_buffer_clear_next		maybe	This indecates bad program design
+roar_buffer_ref			ok
+roar_buffer_unref		ok
 
 # Some internal functions:
@@ -357,5 +360,5 @@
 roar_stream_add_data		likely	does not work most of the time
 
-roar_stream_send_data		critical	does not work as exected
+roar_stream_send_data		critical	does not work as expected
 
 roar_stream_get_info		ok
@@ -365,5 +368,6 @@
 roar_stream_set_chanmap		wip
 
-roar_stream_set_flags		ok
+roar_stream_set_flags		legacy	Use roar_stream_set_flags2
+roar_stream_set_flags2		ok
 roar_stream_set_role		ok
 
@@ -389,4 +393,10 @@
 roar_meta_strgenre		ok
 roar_meta_intgenre		ok
+roar_ht2str			ok
+roar_str2ht			ok
+roar_ot2str			ok
+roar_str2ot			ok
+roar_stds_str2vendor		ok
+roar_stds_vendor2str		ok
 
 # Audio info:
@@ -418,4 +428,5 @@
 
 roar_list			ok
+roar_list_filtered		ok
 
 roar_get_client			ok
@@ -435,4 +446,6 @@
 roar_ctl_c2m			likely	mostly for internal use only
 roar_ctl_m2c			likely	mostly for internal use only
+
+roar_conv_volume		maybe	mostly for internal use only
 
 # Env:
@@ -461,4 +474,20 @@
 # Auth:
 roar_auth			wip
+roar_auth_from_mes		likely	mostly for internal use
+roar_auth_init_mes		likely	mostly for internal use
+roar_auth_mes_init		likely	mostly for internal use
+roar_auth_to_mes		likely	mostly for internal use
+
+# Authfile API:
+roar_authfile_add_key		maybe	mostly for internal use
+roar_authfile_close		maybe	mostly for internal use
+roar_authfile_key_new		maybe	mostly for internal use
+roar_authfile_key_ref		maybe	mostly for internal use
+roar_authfile_key_unref		maybe	mostly for internal use
+roar_authfile_lock		maybe	mostly for internal use
+roar_authfile_lookup_key	maybe	mostly for internal use
+roar_authfile_open		maybe	mostly for internal use
+roar_authfile_sync		maybe	mostly for internal use
+roar_authfile_unlock		maybe	mostly for internal use
 
 # Beep:
@@ -538,4 +567,6 @@
 
 roar_sshaskpass_getpass		internal
+
+roar_passwd_simple_ask_pw	ok
 
 # RoarDL:
@@ -659,4 +690,98 @@
 roar_vs_role			ok
 
+# Server enumeration
+roar_enum_servers		ok
+roar_enum_servers_free		ok
+roar_enum_servers_num		ok
+_esl_defaults			internal
+_esl_slp			internal
+
+# notify core handling:
+roar_notify_core_emit		ok
+roar_notify_core_emit_simple	ok
+roar_notify_core_new		ok
+roar_notify_core_new_global	ok
+roar_notify_core_ref		ok
+roar_notify_core_unref		ok
+roar_notify_core_register_proxy	ok
+roar_notify_core_subscribe	ok
+roar_notify_core_unsubscribe	ok
+roar_notify_proxy_std		ok
+roar_event_from_blob		likely	This is for internal use mostly
+roar_event_to_blob		likely	This is for internal use mostly
+_hash_event			internal
+
+# LTM - Long Term Monitoring:
+roar_ltm_extract		ok
+roar_ltm_get			ok
+roar_ltm_get_mt			ok
+roar_ltm_get_numchans		ok
+roar_ltm_get_numstreams		ok
+roar_ltm_get_streamptr		internal
+roar_ltm_get_window		ok
+roar_ltm_numbits		internal
+roar_ltm_pack_req		internal
+roar_ltm_register		ok
+roar_ltm_unregister		ok
+roar_ltm_regunreg		internal
+
+# CAPS + CAPS/Standards:
+roar_caps_from_msg		likely	This is for internal use mostly
+roar_caps_to_msg		likely	This is for internal use mostly
+roar_caps_stds			ok
+roar_stds_free			ok
+roar_stds_new			ok
+
+# general server info:
+roar_server_info		ok
+roar_server_info_free		ok
+roar_server_info_from_mes	likely	This is for internal use mostly
+roar_server_info_to_mes		likely	This is for internal use mostly
+
+# RoarAudio Standard Floats:
+roar_float32_isinf		ok
+roar_float32_isnan		ok
+roar_float32_iszero		ok
+roar_ufloat32_build		ok
+roar_ufloat32_from_float	ok
+roar_ufloat32_mul		ok
+roar_ufloat32_scale		ok
+roar_ufloat32_to_float		ok
+
+# Async control:
+roar_wait			ok
+
+# Filters:
+roar_filter_match		likely	This is for internal use mostly
+
+# Crypto API:
+roar_crypto_init		ok
+
+# Random bits source:
+roar_random_gen			ok
+roar_random_genbuf		ok
+
+# Hash API:
+roar_hash_buffer		ok
+roar_hash_salted_buffer		ok
+roar_ht_digestlen		ok
+roar_ht_is_supported		ok
+
+# Hash Tiger:
+roar_hash_tiger_init		ok
+roar_hash_tiger_uninit		ok
+roar_hash_tiger_init_from_pstate	ok
+roar_hash_tiger_to_pstate	ok
+roar_hash_tiger_blocklen	ok
+roar_hash_tiger_finalize	likely	just use roar_hash_tiger_get_digest
+roar_hash_tiger_get_digest	ok
+roar_hash_tiger_proc		ok
+roar_hash_tiger_proc_block	ok
+roar_hash_tiger_statelen	ok
+key_schedule			internal
+pass				internal
+tiger_round			internal
+_export				internal
+
 
 !TARGET: libroardsp0
@@ -705,6 +830,8 @@
 roar_conv_chans_1to28		internal
 roar_conv_chans_1to216		internal
+roar_conv_chans_1ton32		internal
 roar_conv_chans_nto18		internal
 roar_conv_chans_nto116		internal
+roar_conv_chans_nto132		internal
 roar_conv_chans_2to18		internal
 roar_conv_chans_2to116		internal
@@ -762,4 +889,10 @@
 roar_conv_poly4_16s		internal
 
+# float.h:
+roar_conv_float_int32		ok
+roar_conv_float_int32_enint	ok
+roar_conv_int32_float		ok
+roar_conv_int32_float_deint	ok
+
 # fader.h:
 roar_fader_init			ok
@@ -934,5 +1067,4 @@
 
 # rms.h:
-# why do we not have a roar_rms2_1_X_Y()?
 
 roar_rms2_1_8			ok
@@ -947,4 +1079,6 @@
 roar_rms2_1_16_n		ok
 roar_rms2_1_32_n		ok
+
+roar_rms2_1_b_n			ok
 
 # synth.h:
@@ -1025,4 +1159,5 @@
 roar_vio_bixcode_close		internal
 
+
 !TARGET: libroareio0
 # driver.h:
